/**
 * Core API v1 (OpenAPI: 3.0.1)
 *
 *
 * NOTE: This class is auto generated by openapi-typescript-client-api-generator.
 * Do not edit the file manually.
 */

export class CreateRuleRequest {
    public name: string;

    public description: string;

    public meta: string;

    public triggerType: string;

    public labels: string[];

    public triggerId: string;

    public actionId: string;

    /**
     * Creates a CreateRuleRequest.
     *
     * @param {string} name
     * @param {string} description
     * @param {string} meta
     * @param {string} triggerType
     * @param {string} labels
     * @param {string} triggerId
     * @param {string} actionId
     */
    constructor(name: string, description: string, meta: string, triggerType: string, labels: string[], triggerId: string, actionId: string) {
        this.name = name;
        this.description = description;
        this.meta = meta;
        this.triggerType = triggerType;
        this.labels = labels;
        this.triggerId = triggerId;
        this.actionId = actionId;
    }
}